Update an SFTP destination
curl --request PUT \
--url https://api.extole.io/v6/sftp-destinations/{sftpDestinationId} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"dropbox_path": "dropbox_path",
"extole_key_id": "extole_key_id",
"host": "host",
"key_id": "key_id",
"name": "name",
"partner_key_id": "partner_key_id",
"port": 1,
"type": "EXTERNAL",
"username": "username"
}
'import requests
url = "https://api.extole.io/v6/sftp-destinations/{sftpDestinationId}"
payload = {
"dropbox_path": "dropbox_path",
"extole_key_id": "extole_key_id",
"host": "host",
"key_id": "key_id",
"name": "name",
"partner_key_id": "partner_key_id",
"port": 1,
"type": "EXTERNAL",
"username": "username"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
dropbox_path: 'dropbox_path',
extole_key_id: 'extole_key_id',
host: 'host',
key_id: 'key_id',
name: 'name',
partner_key_id: 'partner_key_id',
port: 1,
type: 'EXTERNAL',
username: 'username'
})
};
fetch('https://api.extole.io/v6/sftp-destinations/{sftpDestinationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_date": "2025-10-24T02:00:00-07:00",
"dropbox_path": "<string>",
"extole_key_id": "<string>",
"host": "<string>",
"id": "<string>",
"name": "<string>",
"partner_key_id": "<string>",
"port": 123,
"type": "EXTERNAL",
"updated_date": "2025-10-24T02:00:00-07:00",
"username": "<string>",
"key_id": "<string>"
}SFTP Servers
Update an SFTP destination
Updates the SFTP destination connection profile. Only fields present in the request body are changed. Returns the updated destination.
PUT
https://api.extole.io
/
v6
/
sftp-destinations
/
{sftpDestinationId}
Update an SFTP destination
Authorizations
HEADERQUERYCOOKIE
Path Parameters
Body
application/json
Response
Successful response
- Option 1
- Option 2
External sftp destination response.
RFC 3339 or RFC 9557 date-time with a numeric UTC offset and an optional IANA time-zone suffix in square brackets. Precision up to milliseconds.
Pattern:
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?(Z|[+-](?:[01][0-9]|2[0-3]):[0-5][0-9])(\[[^\]]+\])?$Example:
"2025-10-24T02:00:00-07:00"
Available options:
EXTERNAL RFC 3339 or RFC 9557 date-time with a numeric UTC offset and an optional IANA time-zone suffix in square brackets. Precision up to milliseconds.
Pattern:
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?(Z|[+-](?:[01][0-9]|2[0-3]):[0-5][0-9])(\[[^\]]+\])?$Example:
"2025-10-24T02:00:00-07:00"
